#include <iostream>

using namespace std;

int main()
{
    long long int n, k, r=0,z;
    cin>>n>>k;
    long long int a[n];
    for(int i=0;i<n;i++)
        cin>>a[i];

    if(k==0)
        for(long long int i=0;i<n;i++)
            r+= a[i];
    else
        for(int i=0;i<n;i++)
            r += a[i]*(((n-i)*(i+1)));

    cout<<r;
    return 0;
}